<?xml version="1.0" encoding="gb2312"?>
<xs:schema xmlns="http://www.h3c.com/netconf/config:1.0" xmlns:netconf="urn:ietf:params:xml:ns:netconf:base:1.0" xmlns:base="http://www.h3c.com/netconf/base:1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.h3c.com/netconf/config:1.0" elementFormDefault="qualified">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
  <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0" schemaLocation="netconf.xsd"/>
  <xs:element name="PoE">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="PriorityPolicy" minOccurs="0">
          <xs:annotation>
            <xs:documentation>POE system information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="PSEPolicyMode" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>
                    Mode of PSE power policy.
                    Enumberation.
                    1 disalbed
                    2 priority
                    Default: disalbed.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="PDPolicyMode" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>
                    Mode of PD power policy
                    Enumberation.
                    1 disalbed
                    2 priority
                    Default: disalbed.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Powers" minOccurs="0">
          <xs:annotation>
            <xs:documentation> PoE profile information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Power" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PowerIndex" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Index of the profile</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PowerLimit" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The max power limit of the Power supply(mW).</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="PSEs" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Power supply equipment information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="PSE" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PSEID" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Pse identification</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PowerLimit" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The max power limit of the PSE(mW).</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UsageThreshold" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The usage threshold of the power the PSE  used.Units in %.Value range: 1 to 99.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"/>
                            <xs:maxInclusive value="99"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power priority of the specified PSE.
                          Enumeration.
                          1 critical
                          2 high
                          3 low
                          Default: low.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Legacy" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The legacy mode status(for nonstandard PD detection)
                          Enumeration.
                          0 enabled
                          1 disabled
                          Default: disalbed.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Ports" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Port information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Port" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PSEID" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Pse identification</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          IfIndex of port.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AdminEnable" type="base:Boolean" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
	                The admin enable status of an interface which can provide PSE functions.
	                Bool.
	                true:provide
	                false:not provide
                        </xs:documentation>
                       </xs:annotation>
                    </xs:element>                            
                    <xs:element name="Pairs"  nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power pairs in use.
                          Enumeration.
                          1 signal
                          2 spare
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power priority of the specified interface
                          Enumeration.
                          1 critical
                          2 high
                          3 low
                          Default: low.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PDDescription" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The description for the Pd that is connected to the port.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Text">
                            <xs:minLength value ="0"></xs:minLength>
                            <xs:maxLength value="80"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="FaultDescription" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The fault category of Poe interface
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:Text">
                            <xs:minLength value ="0"></xs:minLength>
                            <xs:maxLength value="255"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PowerLimit" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The max power of the PD connected to the Poe interface(mW).
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ProfileIndex" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The profile index applied to the Poe interface
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Profiles" minOccurs="0">
          <xs:annotation>
            <xs:documentation> PoE profile information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Profile" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ProfileIndex" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Index of the profile</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ProfileName" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The name of profile
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="15"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PowerMode" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power status of an interface which can provide PSE functions.
                          Enumeration.
                          1 powerDisabled
                          2 powerEnabled
                          Default: powerDisabled.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PowerLimit" type="base:UnsignedInteger32" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The max power(mW).
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Priority" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power priority of the specified interface
                          Enumeration.
                          1 critical
                          2 high
                          3 low
                          Default: low.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Pairs"  nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The power pairs in use.
                          Enumeration.
                          1 signal
                          2 spare
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>

</xs:schema>
